[arch-dev-public] new flac

Paul Mattal paul at mattal.com
Wed Aug 1 14:01:45 EDT 2007

Damir Perisa wrote:
> Wednesday 01 August 2007, Paul Mattal wrote:
>  | How do you know that >15 packages depend on this? It seems to be
>  | it would be really good to have something on the website where we
>  | can query all packages that depend on another package,
>  | recursively. Otherwise I don't see how we can expect people to
>  | divine this information.
> pacman -Qi flac gives you this:
> Required By    : akode  arson  gst-plugins-flac  libsndfile  xine-lib  dssi  
>                  easytag  k3b  kdemultimedia  libsamplerate  mkvtoolnix  
>                  sdl_sound  tunepimp  jack-audio-connection-kit  mpd  ardour  
>                  vorbis-tools  

I knew about this.. but doesn't this only tell you for packages you 
happen to have installed on your system? And does it work recursively?

> but in addition you should know what pkgs you maintain and what consequences they have. 

True. I just took over flac, though, so I need to get my head around the 
whole thing. Over time these sorts of problems work themselves out.

I like the page Simo pointed to, as a good compromise. It at least gives 
us some corporate memory about packages moving forward.

If I get a chance, I will tool up a "meta" developer page with links to 
all pages that contain current info that developers should be looking 
at. The problem is, things change over time.. being a developer is very 
different now than it was when many of us joined up, and it's helpful to 
have some central repository of shared knowledge that we can rely upon, 
all linked from one central place.

- P

More information about the arch-dev-public mailing list